import { defineComponent } from "vue";
import { useRenderIcon } from "/@/components/ReIcon/src/hooks";

const ActionCreate = defineComponent({
  name: "ActionCreate",
  emits: ["create"],
  setup(_, { emit }) {
    return () => (
      <el-button
        size="small"
        onClick={() => emit("create")}
        icon={useRenderIcon("add")}
        type="primary"
      >
        新增
      </el-button>
    );
  }
});

export default ActionCreate;
